# Uses of Interface
org.opensaml.xacml.ctx.RequestType

Packages that use RequestType
Package
Description
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.
org.opensaml.xacml.profile.saml
XMLObject interfaces for SAML XACML profile.
org.opensaml.xacml.profile.saml.impl
XMLObject implementation classes for XACML SAML profile.

## Uses of RequestType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement RequestType
Modifier and Type
Class
Description
`class`
`RequestTypeImpl`
Concrete implementation of `RequestType`.
Methods in org.opensaml.xacml.ctx.impl that return RequestType
Modifier and Type
Method
Description
`RequestType`
RequestTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`RequestType`
RequestTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of RequestType in org.opensaml.xacml.profile.saml

Methods in org.opensaml.xacml.profile.saml that return RequestType
Modifier and Type
Method
Description
`RequestType`
XACMLAuthzDecisionQueryType.`getRequest()`
Gets the request of the query.
`RequestType`
XACMLAuthzDecisionStatementType.`getRequest()`
Get's the `RequestType` from the `XACMLAuthzDecisionStatement`.
Methods in org.opensaml.xacml.profile.saml that return types with arguments of type RequestType
Modifier and Type
Method
Description
`List<RequestType>`
XACMLPolicyQueryType.`getRequests()`
Gets the Requests inside the policy query.
Methods in org.opensaml.xacml.profile.saml with parameters of type RequestType
Modifier and Type
Method
Description
`void`
XACMLAuthzDecisionQueryType.`setRequest(RequestType request)`
Set's the XACML Request.
`void`
XACMLAuthzDecisionStatementType.`setRequest(RequestType request)`
Sets a `ResponseType` to the `XACMLAuthzDecisionStatement`.

## Uses of RequestType in org.opensaml.xacml.profile.saml.impl

Fields in org.opensaml.xacml.profile.saml.impl declared as RequestType
Modifier and Type
Field
Description
`private RequestType`
XACMLAuthzDecisionQueryTypeImpl.`request`
The xacml-context:Request.
`private RequestType`
XACMLAuthzDecisionStatementTypeImpl.`request`
The request of the authorization request.
Methods in org.opensaml.xacml.profile.saml.impl that return RequestType
Modifier and Type
Method
Description
`RequestType`
XACMLAuthzDecisionQueryTypeImpl.`getRequest()`
Gets the request of the query.
`RequestType`
XACMLAuthzDecisionStatementTypeImpl.`getRequest()`
Get's the `RequestType` from the `XACMLAuthzDecisionStatement`.
Methods in org.opensaml.xacml.profile.saml.impl that return types with arguments of type RequestType
Modifier and Type
Method
Description
`List<RequestType>`
XACMLPolicyQueryTypeImpl.`getRequests()`
Gets the Requests inside the policy query.
Methods in org.opensaml.xacml.profile.saml.impl with parameters of type RequestType
Modifier and Type
Method
Description
`void`
XACMLAuthzDecisionQueryTypeImpl.`setRequest(RequestType req)`
Set's the XACML Request.
`void`
XACMLAuthzDecisionStatementTypeImpl.`setRequest(RequestType req)`
Sets a `ResponseType` to the `XACMLAuthzDecisionStatement`.